Extending Qt Creator Manual | SshDeviceProcessList

Extending Qt Creator Manual 4.5.2

# SshDeviceProcessList Class

(ProjectExplorer::SshDeviceProcessList)

Inherits: | ProjectExplorer::DeviceProcessList

- List of all members, including inherited members

## Public Functions

| SshDeviceProcessList(const IDevice::ConstPtr &device, QObject *parent = 0)
| ~SshDeviceProcessList() override

- 3 public functions inherited from ProjectExplorer::DeviceProcessList

### Additional Inherited Members

- 3 signals inherited from ProjectExplorer::DeviceProcessList
- 1 static public member inherited from ProjectExplorer::DeviceProcessList
- 4 protected functions inherited from ProjectExplorer::DeviceProcessList

## Member Function Documentation

### SshDeviceProcessList::SshDeviceProcessList(const IDevice::ConstPtr &device, QObject *parent = 0)

Default constructs an instance of SshDeviceProcessList.

### SshDeviceProcessList::~SshDeviceProcessList()

Destroys the instance of SshDeviceProcessList.